Subject: Unnatural processing order in IRRE tests

Description

The IRRE tests for creating and modifying records first process offer, hotel then content which is the unnatural order compared to the
processing delivered by the FormEngine (t3lib_TCEforms). To avoid incorrect testing behaviour and invalid testing results, the order is
changed to content, hotel and offer (parent to child).

Associated revisions

Revision 47b292af - 2014-03-08 17:15 - Oliver Hader

[BUGFIX] Unnatural processing order in IRRE tests

The IRRE tests for creating and modifying records first process
offer, hotel then content which is the unnatural order compared
to the processing delivered by the FormEngine (t3lib_TCEforms).
To avoid incorrect testing behaviour and invalid testing

results, the order is changed to content, hotel and offer

(parent to child).

Resolves: #56374

Releases: 6.2

Change-Id: Ib14fc2d50b493e4be982faeba77401b320868639
Reviewed-on: https:/review.typo3.org/27887

Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Jigal van Hemert
Tested-by: Jigal van Hemert

History

#1 - 2014-02-27 12:20 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27887
#2 - 2014-02-27 13:05 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27887

#3 - 2014-02-27 13:26 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/27887

#4 - 2014-03-08 17:30 - Oliver Hader
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:47b292af044bea6fdd687240024bba86fa93e9bb.
